java.lang.IllegalStateException

Marshaller must support the class of the marshalled object

Samebug tips2

If you're using boot 1.4.x you need to modify the @springBootTest annotation to @SpringBootTest(classes = DataFlowServerConfiguration.class). 1.3.8 doesn't have this problem as well.


rafaelrafael

Spring Boot 1.4 changed their annotation system a little. Try using the @SpringBootApplication annotation for better results.


rafaelrafael

Don't give up yet. Our experts can help. Paste your full stack trace to get a solution.

Solutions on the web184

  • via Stack Overflow by Sunil Ks
    ,
  • Stack trace

    • java.lang.IllegalStateException: Marshaller must support the class of the marshalled object at org.springframework.util.Assert.state(Assert.java:384)

    Write tip

    You have a different solution? A short tip here would help you and many other users who saw this issue last week.

    Users with the same issue

    Unknown visitor
    Unknown visitorOnce,
    Unknown visitor
    Unknown visitorOnce,
    Михайло ТітовМихайло Тітов
    3 times, last one
    tvrmsmithtvrmsmith
    2 times, last one
    AxeloAxelo
    2 times, last one
    64 more bugmates